<?php
$app = require '../app/inc.php';
$model = $app->model('Teamtable');

if ($_SERVER['REQUEST_METHOD'] === 'POST')
{
    if (isset($_POST['cardnumber']) && strlen($_POST['cardnumber']) !== 0)
    {
        $cardnumber = $_POST['cardnumber'];

        if (!(strlen($cardnumber) > 32)) {
            if ($model->insert($cardnumber))
            {
                $app->session->flash("Lag funnet for \"{$cardnumber}\"", "success");
            } else {
                $app->session->flash("Opprettet lag for \"{$cardnumber}\"");
            }
        } else {
            $app->session->flash('Kortnummer for langt!', 'danger');
        }
    } else {
        $app->session->flash('Kortnummer kan ikke være tom!', 'danger');
    }
}

$app->view('template/header', ['title' => 'Simulator']);
$app->view('pages/simulator');
$app->view('template/footer');